Xerces2 Implementation: Class DOMLocatorImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMLocatorImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMLocatorImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMLocator

public class DOMLocatorImpl
extends java.lang.Object
implements org.apache.xerces.dom3.DOMLocator

`DOMLocatorImpl` is an implementaion that describes a location (e.g. where an error occured).

See also the Document Object Model (DOM) Level 3 Core Specification.

Version:
  $Id: DOMLocatorImpl.java,v 1.8 2003/11/13 22:47:15 elena Exp $
Author:
  Gopal Sharma, SUN Microsystems Inc.

Field Summary
`int` | `fByteOffset` The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available
`int` | `fColumnNumber` The column number where the error occured, or -1 if there is no column number available.
`int` | `fLineNumber` The line number where the error occured, or -1 if there is no line number available.
`org.w3c.dom.Node` | `fRelatedNode` related data node
`java.lang.String` | `fUri` The URI where the error occured, or null if there is no URI available.
`int` | `fUtf16Offset` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

Constructor Summary
`DOMLocatorImpl()`
`DOMLocatorImpl(int lineNumber, int columnNumber, int byteoffset, org.w3c.dom.Node relatedData, java.lang.String uri)`
`DOMLocatorImpl(int lineNumber, int columnNumber, int byteoffset, org.w3c.dom.Node relatedData, java.lang.String uri, int utf16Offsert)`
`DOMLocatorImpl(int lineNumber, int columnNumber, java.lang.String uri)`

Method Summary
`int` | `getByteOffset()` The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available
`int` | `getColumnNumber()` The column number where the error occured, or -1 if there is no column number available.
`int` | `getLineNumber()` The line number where the error occured, or -1 if there is no line number available.
`org.w3c.dom.Node` | `getRelatedNode()` The node this locator is pointing to, or `null` if no node is available.
`java.lang.String` | `getUri()` The URI where the error occured, or null if there is no URI available.
`int` | `getUtf16Offset()` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fColumnNumber

    public int fColumnNumber

  The column number where the error occured, or -1 if there is no column number available.

### fLineNumber

    public int fLineNumber

  The line number where the error occured, or -1 if there is no line number available.

### fRelatedNode

    public org.w3c.dom.Node fRelatedNode

  related data node

### fUri

    public java.lang.String fUri

  The URI where the error occured, or null if there is no URI available.

### fByteOffset

    public int fByteOffset

  The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available

### fUtf16Offset

    public int fUtf16Offset

  The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

Constructor Detail

### DOMLocatorImpl

    public DOMLocatorImpl()

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          java.lang.String uri)

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int byteoffset,
                          org.w3c.dom.Node relatedData,
                          java.lang.String uri)

### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int byteoffset,
                          org.w3c.dom.Node relatedData,
                          java.lang.String uri,
                          int utf16Offsert)

Method Detail

### getLineNumber

    public int getLineNumber()

  The line number where the error occured, or -1 if there is no line number available.
  Specified by:
    `getLineNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getColumnNumber

    public int getColumnNumber()

  The column number where the error occured, or -1 if there is no column number available.
  Specified by:
    `getColumnNumber` in interface `org.apache.xerces.dom3.DOMLocator`

### getUri

    public java.lang.String getUri()

  The URI where the error occured, or null if there is no URI available.
  Specified by:
    `getUri` in interface `org.apache.xerces.dom3.DOMLocator`

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  Description copied from interface: `org.apache.xerces.dom3.DOMLocator`
  The node this locator is pointing to, or `null` if no node is available.
  Specified by:
    `getRelatedNode` in interface `org.apache.xerces.dom3.DOMLocator`

### getByteOffset

    public int getByteOffset()

  The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available
  Specified by:
    `getByteOffset` in interface `org.apache.xerces.dom3.DOMLocator`

### getUtf16Offset

    public int getUtf16Offset()

  The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.
  Specified by:
    `getUtf16Offset` in interface `org.apache.xerces.dom3.DOMLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.